<?php

	class echohealth_Act {
		public function __construct() {
			$this->echohealth_register_action();
		}
		private function echohealth_register_action() {
			add_action('echohealth_skip_link_ready', [ 'echohealth_Int', 'echohealth_skip_link' ]);
			add_action('echohealth_preloader_ready', [ 'echohealth_Int', 'echohealth_preloader' ]);
			add_action('echohealth_header_logo_ready', [ 'echohealth_Int', 'echohealth_header_logo' ]);
			add_action('echohealth_header_menu_ready', [ 'echohealth_Int', 'echohealth_header_menu' ]);
			add_action('echohealth_mobile_part_ready', [ 'echohealth_Int', 'echohealth_mobile_part' ]);
			add_action('echohealth_breadcrumb_ready', [ 'echohealth_Int', 'echohealth_breadcrumb' ]);
			add_action('echohealth_back_to_top_ready', [ 'echohealth_Int', 'echohealth_back_to_top' ]);
			add_action('widgets_init', [ 'echohealth_Int', 'echohealth_widgets_init' ]);
			add_action('init', [ 'echohealth_Int', 'echohealth_google_font' ]);
			add_filter('wp_kses_allowed_html', [ 'echohealth_Int', 'echohealth_kses_allowed_html' ], 10, 2);
			add_filter('comment_form_fields', [ 'echohealth_Int', 'echohealth_custom_field' ], 10, 2);
			add_filter('query_vars', [ 'echohealth_Int', 'echohealth_add_query_vars_filter' ], 10, 2);
			add_filter('excerpt_length', [ 'echohealth_Int', 'echohealth_excerpt_length' ], 999);
		}
	}
	$echohealth_act = new echohealth_Act();